// Copyright 2022, FOSS-VG Developers and Contributers
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, version 3.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// version 3 along with this program.
// If not, see https://www.gnu.org/licenses/agpl-3.0.en.html

#include <iostream>
#include <cstdint>
#include <vector>
#include <fstream>

#include "assert.hpp"

#include "../lib/nbt.hpp"
#include "../lib/error.hpp"
#include "../lib/javacompat.hpp"

int main(){
    std::cout << "################################################################################" << std::endl;
    std::cout << "NBT object tests" << std::endl;
    std::cout << "################################################################################" << std::endl;

    //Byte tag constructor test
    uint8_t bytetest[] = {0x01, 0x00, 0x02, 0x68, 0x69, 0x32};
    NBT::Byte byte = NBT::Byte(bytetest);

    ASSERT(byte.tagType == 1);
    ASSERT(byte.nameSize == 2);
    ASSERT(byte.content = 0x32);
    ASSERT(byte.name == tiny_utf8::string("hi"));

    std::cout << "Passed Byte Tag constructor test." << std::endl;

    return 0;
}
